image: hatsoftwares/gitbook:latest

deploy:
  script:
    - gitbook init
    - gitbook install
    - git config user.name "Nobody"
    - git config user.email "nobody@framasoft.org"
    - gitbook build
    - sed -i -e 's/<body>/<body><script src="lang.js" type="text\/javascript"><\/script>/g' _book/index.html
    - mkdir _book/traduction-rejoignez-framalang && echo '<html><head><meta http-equiv="refresh" content="0; URL=../fr/framalang/index.html"></head><body></body></html>' > _book/traduction-rejoignez-framalang/index.html
    - mv _book/ public/
    - mkdir "${HOME}/.ssh"
    - chmod 700 "${HOME}/.ssh"
    - if [ ! -z ${DEPLOYEMENT_KNOWN_HOSTS+x} ]; then echo -e "${DEPLOYEMENT_KNOWN_HOSTS}" > ${HOME}/.ssh/known_hosts; fi
    - eval `ssh-agent -s`
    - if [ ! -z ${DEPLOYEMENT_KEY+x} ]; then ssh-add <(echo "$DEPLOYEMENT_KEY" | base64 --decode); fi
    - if [ ! -z ${DEPLOYEMENT_KEY+x} ]; then rsync -a --delete public/ ${DEPLOYEMENT_USER}@${DEPLOYEMENT_HOST}:../../web/; fi
  only:
    - master
